Android নিরাপত্তা বুলেটিন—ডিসেম্বর 2017

ডিসেম্বর 4, 2017 প্রকাশিত | ডিসেম্বর 6, 2017 আপডেট করা হয়েছে

অ্যান্ড্রয়েড সিকিউরিটি বুলেটিনে অ্যান্ড্রয়েড ডিভাইসগুলিকে প্রভাবিত করে এমন নিরাপত্তা দুর্বলতার বিবরণ রয়েছে৷ 2017-12-05 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি এই সমস্ত সমস্যার সমাধান করে। কিভাবে একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর চেক করতে হয় তা জানতে, আপনার Android সংস্করণ দেখুন এবং আপডেট করুন

অ্যান্ড্রয়েড অংশীদারদের প্রকাশনার অন্তত এক মাস আগে সমস্ত সমস্যা সম্পর্কে অবহিত করা হয়। এই সমস্যাগুলির জন্য সোর্স কোড প্যাচগুলি অ্যান্ড্রয়েড ওপেন সোর্স প্রজেক্ট (AOSP) সংগ্রহস্থলে প্রকাশ করা হয়েছে এবং এই বুলেটিন থেকে লিঙ্ক করা হয়েছে৷ এই বুলেটিনে AOSP-এর বাইরের প্যাচগুলির লিঙ্কও রয়েছে৷

এই সমস্যাগুলির মধ্যে সবচেয়ে গুরুতর হল মিডিয়া ফ্রেমওয়ার্কের একটি গুরুতর নিরাপত্তা দুর্বলতা যা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে। প্ল্যাটফর্ম এবং পরিষেবার প্রশমনগুলি উন্নয়নের উদ্দেশ্যে বন্ধ করা হয়েছে বা সফলভাবে বাইপাস করা হয়েছে বলে ধরে নিয়ে, দুর্বলতাকে কাজে লাগানোর প্রভাবের উপর ভিত্তি করে তীব্রতা মূল্যায়ন করা হয়।

আমাদের কাছে এই নতুন রিপোর্ট করা সমস্যাগুলির সক্রিয় গ্রাহক শোষণ বা অপব্যবহারের কোনও রিপোর্ট নেই। Android সিকিউরিটি প্ল্যাটফর্ম সুরক্ষা এবং Google Play Protect সম্পর্কে বিশদ বিবরণের জন্য Android এবং Google Play Protect প্রশমন বিভাগটি পড়ুন, যা Android প্ল্যাটফর্মের নিরাপত্তা উন্নত করে৷

দ্রষ্টব্য: সর্বশেষ ওভার-দ্য-এয়ার আপডেট (OTA) এবং Google ডিভাইসগুলির জন্য ফার্মওয়্যার চিত্রের তথ্য ডিসেম্বর 2017 Pixel / Nexus নিরাপত্তা বুলেটিনে উপলব্ধ।

অ্যান্ড্রয়েড এবং গুগল সার্ভিস মিটিগেশন

এটি Android নিরাপত্তা প্ল্যাটফর্ম এবং পরিষেবা সুরক্ষা যেমন Google Play Protect দ্বারা প্রদত্ত প্রশমনের একটি সারাংশ। এই ক্ষমতাগুলি Android-এ নিরাপত্তার দুর্বলতাগুলি সফলভাবে কাজে লাগানোর সম্ভাবনা কমায়৷

  • অ্যান্ড্রয়েড প্ল্যাটফর্মের নতুন সংস্করণে বর্ধিতকরণের মাধ্যমে অ্যান্ড্রয়েডে অনেক সমস্যার জন্য শোষণকে আরও কঠিন করা হয়েছে। আমরা সকল ব্যবহারকারীকে যেখানে সম্ভব Android এর সর্বশেষ সংস্করণে আপডেট করতে উৎসাহিত করি।
  • Android নিরাপত্তা দল সক্রিয়ভাবে Google Play Protect- এর মাধ্যমে অপব্যবহারের জন্য নজরদারি করে এবং ব্যবহারকারীদের সম্ভাব্য ক্ষতিকারক অ্যাপ্লিকেশন সম্পর্কে সতর্ক করে। Google Play Protect ডিফল্টরূপে Google মোবাইল পরিষেবাগুলির সাথে ডিভাইসগুলিতে সক্রিয় থাকে এবং বিশেষত সেই সমস্ত ব্যবহারকারীদের জন্য গুরুত্বপূর্ণ যারা Google Play এর বাইরে থেকে অ্যাপগুলি ইনস্টল করেন৷

2017-12-01 নিরাপত্তা প্যাচ লেভেল—ভালনারেবিলিটি বিশদ

নীচের বিভাগে, আমরা 2017-12-01 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলিকে তারা প্রভাবিত করে এমন উপাদানের অধীনে গোষ্ঠীভুক্ত করা হয়। সমস্যাটির বর্ণনা এবং CVE, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) সহ একটি টেবিল রয়েছে। উপলব্ধ হলে, আমরা AOSP পরিবর্তনের তালিকার মতো বাগ আইডিতে সমস্যাটির সমাধানকারী সর্বজনীন পরিবর্তনকে লিঙ্ক করি। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত রেফারেন্স লিঙ্ক করা হয়।

ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা অতিরিক্ত অনুমতিগুলিতে অ্যাক্সেস পাওয়ার জন্য ব্যবহারকারীর ইন্টারঅ্যাকশন প্রয়োজনীয়তাগুলিকে বাইপাস করতে একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2017-0807 A-35056974 * ইওপি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0870 এ-62134807 ইওপি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0871 এ-65281159 ইওপি উচ্চ ৮.০

মিডিয়া ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে একটি দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2017-0872 এ-65290323 আরসিই সমালোচনামূলক 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0876 A-64964675 * আরসিই সমালোচনামূলক 6.0
CVE-2017-0877 A-66372937 * আরসিই সমালোচনামূলক 6.0
CVE-2017-0878 এ-65186291 আরসিই সমালোচনামূলক ৮.০
CVE-2017-13151 এ-63874456 আরসিই সমালোচনামূলক 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13153 এ-65280854 ইওপি উচ্চ ৮.০
CVE-2017-0837 A-64340921 [ 2 ] ইওপি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0873 এ-63316255 DoS উচ্চ 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0874 এ-63315932 DoS উচ্চ 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0880 A-65646012 [ 2 ] DoS উচ্চ 7.0, 7.1.1, 7.1.2
CVE-2017-13148 এ-65717533 DoS উচ্চ 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0

পদ্ধতি

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি প্রিভিলেজড প্রক্রিয়ার প্রেক্ষাপটের মধ্যে নির্বিচারে কোড চালানোর জন্য একটি প্রক্সিমেট আক্রমণকারীকে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2017-13160 এ-37160362 আরসিই সমালোচনামূলক 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13156 এ-64211847 ইওপি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13157 এ-32990341 আইডি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13158 A-32879915 আইডি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13159 এ-32879772 আইডি উচ্চ 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0

2017-12-05 নিরাপত্তা প্যাচ স্তর — দুর্বলতার বিবরণ

নীচের বিভাগে, আমরা 2017-12-05 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলি সেই উপাদানগুলির অধীনে গোষ্ঠীভুক্ত করা হয় যা তারা প্রভাবিত করে এবং বিশদ অন্তর্ভুক্ত করে যেমন CVE, সম্পর্কিত উল্লেখ, দুর্বলতার ধরন , তীব্রতা , উপাদান (যেখানে প্রযোজ্য), এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য)। উপলব্ধ হলে, আমরা AOSP পরিবর্তনের তালিকার মতো বাগ আইডিতে সমস্যাটির সমাধানকারী সর্বজনীন পরিবর্তনকে লিঙ্ক করি। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত রেফারেন্স লিঙ্ক করা হয়।

কার্নেল উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-13162 A-64216036 * ইওপি উচ্চ বাইন্ডার
CVE-2017-0564 A-34276203 * ইওপি উচ্চ আইওন
CVE-2017-7533 এ-63689921
আপস্ট্রিম কার্নেল
ইওপি উচ্চ ফাইল হ্যান্ডলিং
CVE-2017-13174 A-63100473 * ইওপি উচ্চ ইডিএল

মিডিয়াটেক উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-13170 A-36102397 *
M-ALPS03359280
ইওপি উচ্চ ডিসপ্লে ড্রাইভার
CVE-2017-13171 A-64316572 *
M-ALPS03479086
ইওপি উচ্চ কর্মক্ষমতা সেবা
CVE-2017-13173 A-28067350 *
M-ALPS02672361
ইওপি উচ্চ সিস্টেম সার্ভার

NVIDIA উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-6262 A-38045794 *
N-CVE-2017-6262
ইওপি উচ্চ NVIDIA ড্রাইভার
CVE-2017-6263 A-38046353 *
N-CVE-2017-6263
ইওপি উচ্চ NVIDIA ড্রাইভার
CVE-2017-6276 A-63802421 *
N-CVE-2017-6276
ইওপি উচ্চ মিডিয়া সার্ভার

কোয়ালকম উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে একটি দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-11043 এ-64728953
QC-CR#2067820
আরসিই সমালোচনামূলক WLAN
CVE-2016-3706 এ-34499281
QC-CR#1058691 [ 2 ]
আরসিই সমালোচনামূলক UDP RPC
CVE-2016-4429 এ-68946906
QC-CR#1058691 [ 2 ]
আরসিই সমালোচনামূলক UDP RPC
CVE-2017-11007 এ-66913719
QC-CR#2068824
ইওপি উচ্চ ফাস্টবুট
CVE-2017-14904 A-63662821 *
QC-CR#2109325
ইওপি উচ্চ গ্র্যালোক
CVE-2017-9716 এ-63868627
QC-CR#2006695
ইওপি উচ্চ Qbt1000 ড্রাইভার
CVE-2017-14897 এ-65468973
QC-CR#2054091
ইওপি উচ্চ RPMB ড্রাইভার
CVE-2017-14902 এ-65468970
QC-CR#2061287
ইওপি উচ্চ MProc
CVE-2017-14895 এ-65468977
QC-CR#2009308
ইওপি উচ্চ WLAN

কোয়ালকম ক্লোজড সোর্স উপাদান

এই দুর্বলতাগুলি Qualcomm উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm AMSS নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা সরবরাহ করা হয়৷

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-6211 A-36217326 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-14908 A-62212840 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-14909 A-62212839 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-14914 A-62212297 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-14916 A-62212841 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-14917 A-62212740 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-14918 A-65946406 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-11005 A-66913715 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-11006 A-66913717 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট

সাধারণ প্রশ্ন এবং উত্তর

এই বিভাগটি সাধারণ প্রশ্নের উত্তর দেয় যা এই বুলেটিন পড়ার পরে হতে পারে।

1. এই সমস্যাগুলি সমাধান করার জন্য আমার ডিভাইস আপডেট করা হয়েছে কিনা তা আমি কীভাবে নির্ধারণ করব?

কিভাবে একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর চেক করতে হয় তা জানতে, আপনার Android সংস্করণ দেখুন এবং আপডেট করুন

  • 2017-12-01 এর নিরাপত্তা প্যাচ স্তর বা তার পরে 2017-12-01 নিরাপত্তা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যার সমাধান করে।
  • 2017-12-05 এর নিরাপত্তা প্যাচ স্তর বা তার পরে 2017-12-05 নিরাপত্তা প্যাচ স্তর এবং সমস্ত পূর্ববর্তী প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যা সমাধান করে।

এই আপডেটগুলি অন্তর্ভুক্ত করে এমন ডিভাইস নির্মাতাদের প্যাচ স্ট্রিং স্তর সেট করা উচিত:

  • [ro.build.version.security_patch]:[2017-12-01]
  • [ro.build.version.security_patch]:[2017-12-05]

2. কেন এই বুলেটিন দুটি নিরাপত্তা প্যাচ স্তর আছে?

এই বুলেটিনে দুটি নিরাপত্তা প্যাচ স্তর রয়েছে যাতে Android অংশীদারদের দুর্বলতাগুলির একটি উপসেটকে আরও দ্রুত ঠিক করার নমনীয়তা থাকে যা সমস্ত Android ডিভাইসে একই রকম। Android অংশীদারদের এই বুলেটিনে সমস্ত সমস্যা সমাধান করতে এবং সর্বশেষ নিরাপত্তা প্যাচ স্তর ব্যবহার করতে উত্সাহিত করা হয়৷

  • 2017-12-01 নিরাপত্তা প্যাচ স্তর ব্যবহার করে এমন ডিভাইসগুলিতে সেই নিরাপত্তা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যা এবং সেইসাথে পূর্ববর্তী নিরাপত্তা বুলেটিনে রিপোর্ট করা সমস্ত সমস্যার সমাধান অন্তর্ভুক্ত করতে হবে।
  • যে ডিভাইসগুলি 2017-12-05 বা নতুনের নিরাপত্তা প্যাচ স্তর ব্যবহার করে তাদের অবশ্যই এই (এবং পূর্ববর্তী) নিরাপত্তা বুলেটিনে সমস্ত প্রযোজ্য প্যাচ অন্তর্ভুক্ত করতে হবে।

অংশীদারদের একটি একক আপডেটে তারা যে সমস্ত সমস্যার সমাধান করছে সেগুলিকে বান্ডিল করতে উত্সাহিত করা হয়৷

3. টাইপ কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ টেবিলের টাইপ কলামের এন্ট্রি নিরাপত্তা দুর্বলতার শ্রেণীবিভাগ উল্লেখ করে।

সংক্ষিপ্ত রূপ সংজ্ঞা
আরসিই রিমোট কোড এক্সিকিউশন
ইওপি বিশেষাধিকারের উচ্চতা
আইডি তথ্য প্রকাশ
DoS সেবা দিতে অস্বীকার করা
N/A শ্রেণীবিভাগ উপলব্ধ নয়

4. রেফারেন্স কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ সারণীর রেফারেন্স কলামের অধীনে এন্ট্রিগুলিতে রেফারেন্স মানটি যে সংস্থার সাথে সম্পর্কিত তা চিহ্নিত করার জন্য একটি উপসর্গ থাকতে পারে।

উপসর্গ রেফারেন্স
ক- অ্যান্ড্রয়েড বাগ আইডি
QC- কোয়ালকম রেফারেন্স নম্বর
এম- মিডিয়াটেক রেফারেন্স নম্বর
এন- NVIDIA রেফারেন্স নম্বর
খ- ব্রডকম রেফারেন্স নম্বর

5. রেফারেন্স কলামে অ্যান্ড্রয়েড বাগ আইডির পাশে * এর অর্থ কী?

যে সমস্যাগুলি সর্বজনীনভাবে উপলব্ধ নয় সেগুলির রেফারেন্স কলামে Android বাগ আইডির পাশে একটি * থাকে৷ এই সমস্যার জন্য আপডেটটি সাধারণত Google বিকাশকারী সাইট থেকে উপলব্ধ Nexus ডিভাইসগুলির জন্য সর্বশেষ বাইনারি ড্রাইভারগুলিতে থাকে৷

6. কেন এই বুলেটিন এবং ডিভাইস/পার্টনার সিকিউরিটি বুলেটিন, যেমন পিক্সেল/নেক্সাস বুলেটিন-এর মধ্যে নিরাপত্তা দুর্বলতা বিভক্ত?

এই নিরাপত্তা বুলেটিনে নথিভুক্ত নিরাপত্তা দুর্বলতাগুলি Android ডিভাইসে সর্বশেষ নিরাপত্তা প্যাচ স্তর ঘোষণা করার জন্য প্রয়োজন৷ একটি নিরাপত্তা প্যাচ স্তর ঘোষণা করার জন্য ডিভাইস / অংশীদার নিরাপত্তা বুলেটিনগুলিতে নথিভুক্ত অতিরিক্ত নিরাপত্তা দুর্বলতাগুলির প্রয়োজন নেই৷ অ্যান্ড্রয়েড ডিভাইস এবং চিপসেট নির্মাতাদের তাদের নিজস্ব নিরাপত্তা ওয়েবসাইট যেমন Samsung , LGE , বা Pixel / Nexus নিরাপত্তা বুলেটিনগুলির মাধ্যমে তাদের ডিভাইসে অন্যান্য ফিক্সের উপস্থিতি নথিভুক্ত করতে উত্সাহিত করা হয়৷

সংস্করণ

সংস্করণ তারিখ মন্তব্য
1.0 4 ডিসেম্বর, 2017 বুলেটিন প্রকাশিত হয়েছে।
1.1 ডিসেম্বর 6, 2017 AOSP লিঙ্কগুলি অন্তর্ভুক্ত করার জন্য বুলেটিন সংশোধন করা হয়েছে।